English Amiga Board


Go Back   English Amiga Board > Support > support.Apps

 
 
Thread Tools
Old 01 August 2018, 11:50   #1
AMIGASYSTEM
Registered User
AMIGASYSTEM's Avatar
 
Join Date: Aug 2014
Location: Brindisi (Italy)
Posts: 3,399
IBrowser Error Link

With IBrowser + AmiSSL v4.2 now you can access almost all the sites HTTPS excluding "https://www.ibrowse-dev.net/". Strange that it is precisely that link that can not be reached, yet some time ago I managed to access with the same settings
Attached Thumbnails
Click image for larger version

Name:	IBrowser1.jpg
Views:	68
Size:	168.1 KB
ID:	59055   Click image for larger version

Name:	IBrowser2.jpg
Views:	55
Size:	149.2 KB
ID:	59056  

Last edited by AMIGASYSTEM; 01 August 2018 at 12:03.
AMIGASYSTEM is offline  
Old 01 August 2018, 16:05   #2
Dynamic_Computi
Registered User

 
Join Date: Jul 2018
Location: Tucson, AZ, USA
Posts: 56
I think iBrowse 2.4 only uses AmiSSL version 3, but they recommend at least installing version 4 because the new Version 2.5 will support it.
Version 2.5 will be out sometime between tomorrow afternoon at 3:00 PM and when hell freezes over.
Dynamic_Computi is offline  
Old 01 August 2018, 20:27   #3
AMIGASYSTEM
Registered User
AMIGASYSTEM's Avatar
 
Join Date: Aug 2014
Location: Brindisi (Italy)
Posts: 3,399
AmiSSL v4.2 it works great with iBrowse 2.4, as already mentioned, it is not possible to access only on "https://www.ibrowse-dev.net/", some time ago it could be accessed on "https://www.ibrowse-dev.net/" with Ibrowser 2.4 + AmiSSL v4.2, see screenshot !
Attached Thumbnails
Click image for larger version

Name:	IBrowser +AmiSSL v4.2 .jpg
Views:	46
Size:	139.7 KB
ID:	59059  
AMIGASYSTEM is offline  
Old 02 August 2018, 23:22   #4
AMIGASYSTEM
Registered User
AMIGASYSTEM's Avatar
 
Join Date: Aug 2014
Location: Brindisi (Italy)
Posts: 3,399
Nobody has any idea how to solve this problem
AMIGASYSTEM is offline  
Old 02 August 2018, 23:33   #5
Don_Adan
Registered User
 
Join Date: Jan 2008
Location: Warsaw/Poland
Age: 50
Posts: 972
Quote:
Originally Posted by AMIGASYSTEM View Post
Nobody has any idea how to solve this problem
This is legal version of IBrowse? It can be antipirated protection.
Don_Adan is offline  
Old 03 August 2018, 00:03   #6
AMIGASYSTEM
Registered User
AMIGASYSTEM's Avatar
 
Join Date: Aug 2014
Location: Brindisi (Italy)
Posts: 3,399
Protection only for "https://www.ibrowse-dev.net/"?, on other sites "https" it works no problem, some time ago it worked
AMIGASYSTEM is offline  
Old 03 August 2018, 00:29   #7
Don_Adan
Registered User
 
Join Date: Jan 2008
Location: Warsaw/Poland
Age: 50
Posts: 972
Quote:
Originally Posted by AMIGASYSTEM View Post
Protection only for "https://www.ibrowse-dev.net/"?, on other sites "https" it works no problem, some time ago it worked
Yes, this is logical. No support for pirated copy from IBrowse developers. And this is checked by ibrowse-dev.net page, not by IBrowse. You can remove pirated key and check if it works ok. Restart Amiga before too.
Don_Adan is offline  
Old 03 August 2018, 00:51   #8
AMIGASYSTEM
Registered User
AMIGASYSTEM's Avatar
 
Join Date: Aug 2014
Location: Brindisi (Italy)
Posts: 3,399
In the tests I used the version "Demo" 2.4, the same problem is also found on "AWeb" and as mentioned before it worked well.

Last edited by AMIGASYSTEM; 11 August 2018 at 12:25.
AMIGASYSTEM is offline  
Old 03 August 2018, 01:26   #9
Retrofan
Ruler of the Universe

Retrofan's Avatar
 
Join Date: Mar 2010
Location: Lanzarote/Spain
Posts: 5,949
You should send them an email to bugs at ibrowse-dev dot net telling the error:

"Error: 1409442E: SSL routines: SSL3_READ_BYTES: tisv1 alert protocol version."

I know it's not his error, but as you say it happens in his page, so maybe they can do something.

And of course another to Jens Maus.
Retrofan is offline  
Old 03 August 2018, 01:33   #10
Don_Adan
Registered User
 
Join Date: Jan 2008
Location: Warsaw/Poland
Age: 50
Posts: 972
Quote:
Originally Posted by AMIGASYSTEM View Post
In the tests I used the version "Demo" 2.4, the same problem is also found on "AWeb" and as mentioned before it worked well.
This is long shot, but your IP address can be added on blacklist for this page.
Don_Adan is offline  
Old 03 August 2018, 09:34   #11
AMIGASYSTEM
Registered User
AMIGASYSTEM's Avatar
 
Join Date: Aug 2014
Location: Brindisi (Italy)
Posts: 3,399
Quote:
Originally Posted by Don_Adan View Post
This is long shot, but your IP address can be added on blacklist for this page.
Then all the IP of the AMiGA users who have installed IBrowse must be added to the blacklist, all the users i know have the same problem with this link then, if so, should I not even log in with NetSurf?
Attached Thumbnails
Click image for larger version

Name:	ibrowse-dev.net.jpg
Views:	26
Size:	184.3 KB
ID:	59097  

Last edited by AMIGASYSTEM; 03 August 2018 at 09:55.
AMIGASYSTEM is offline  
Old 03 August 2018, 09:39   #12
AMIGASYSTEM
Registered User
AMIGASYSTEM's Avatar
 
Join Date: Aug 2014
Location: Brindisi (Italy)
Posts: 3,399
Quote:
Originally Posted by Retrofan View Post
You should send them an email to bugs at ibrowse-dev dot net telling the error:

"Error: 1409442E: SSL routines: SSL3_READ_BYTES: tisv1 alert protocol version."
.
Ciao Fernando, "SSL routines: SSL3_READ_BYTES: tisv1" if you search on the net it is a common mistake also on other platforms Linux etc..

My request for help was to help some friends, i on AFA-OS use NetSurf which has no problem where you can also watch videos on Youtube.
AMIGASYSTEM is offline  
Old 03 August 2018, 09:49   #13
White
Registered User
 
Join Date: Sep 2016
Location: italy
Posts: 329
Hi,
The problem also occurs with the IBrowse OEM version included with amigaos4.1
with amissl updated, while all other sites work including youtube, if it can be useful.
[ Show youtube player ]
White is offline  
Old 03 August 2018, 09:59   #14
AMIGASYSTEM
Registered User
AMIGASYSTEM's Avatar
 
Join Date: Aug 2014
Location: Brindisi (Italy)
Posts: 3,399
Yes, Paolo, thank you for reminding me, i had also mentioned it on Amiganews to Franco in THIS thread.
Attached Thumbnails
Click image for larger version

Name:	ibrowse-dev.net-os4.jpg
Views:	27
Size:	165.4 KB
ID:	59098  

Last edited by AMIGASYSTEM; 03 August 2018 at 10:05.
AMIGASYSTEM is offline  
Old 03 August 2018, 12:12   #15
SnkBitten
Amithlon Fanatic

SnkBitten's Avatar
 
Join Date: Aug 2015
Location: Lexington, SC / US
Posts: 595
According to the IBrowse site, 2.4 does not support AmiSSL 4.0 and above.

Quote:
7 Feb 2017 AmiSSL 4.0 released
AmiSSL v4 for OS3 and OS4 has now been released and is available for download from https://github.com/jens-maus/amissl/releases. However, please not that IBrowse 2.4 will not be able to make use of this, but you should install it over AmiSSL v3 anyway, as applications will start to be released that use it (YAM, for example). IBrowse 2.5 (when released) will require AmiSSL v4, and has been adapted to use it some months ago.
SnkBitten is offline  
Old 03 August 2018, 12:25   #16
AMIGASYSTEM
Registered User
AMIGASYSTEM's Avatar
 
Join Date: Aug 2014
Location: Brindisi (Italy)
Posts: 3,399
Quote:
Originally Posted by SnkBitten View Post
According to the IBrowse site, 2.4 does not support AmiSSL 4.0 and above.
Because then all the other HTTPS links work, because if I delete the new AmiSSL libraries, IBrowser requests it? see screenshot

Last edited by AMIGASYSTEM; 24 August 2018 at 08:46.
AMIGASYSTEM is offline  
Old 03 August 2018, 12:56   #17
AMIGASYSTEM
Registered User
AMIGASYSTEM's Avatar
 
Join Date: Aug 2014
Location: Brindisi (Italy)
Posts: 3,399
Quote:
Originally Posted by SnkBitten View Post
According to the IBrowse site, 2.4 does not support AmiSSL 4.0 and above.
After some of my tests and reflected on when reported too HERE, i have to agree with you, IBrowser ignore at the moment new libraries AmiSSL 4.x although it is recommended to install them and search as the latest most updated library "amissl_v097g.library" (AmiSSL v3.6)

Last edited by AMIGASYSTEM; 03 August 2018 at 13:21.
AMIGASYSTEM is offline  
Old 04 August 2018, 22:10   #18
kolla
Registered User
kolla's Avatar
 
Join Date: Nov 2007
Location: Trondheim, Norway
Posts: 1,360
What most likely has happened...

https://www.ibrowse-dev.net/ has rather recently changed to LetsEncrypt for its certificate (rather recently, since LetsEncrypt isn't exactly "old" in Amiga terms).

The difference between the old certificate (which quite likely would have expired by now anyways) and the new ones from LetsEncrypt is that the old one, by the property of being... old, was using crypto properties still supported by AmiSSL3. And hence it worked with IBrowse. Not so with the current certificates, hence AmiSSL3 fails, and hence IBrowse fails.

LetsEncrypt certificates are also short-lived (the current one expires in October) and are typically updated automatically (most often by cronjobs on the webserver), so crypto properties can also be updated automatically, and frequently.
kolla is offline  
Old 04 August 2018, 23:10   #19
AMIGASYSTEM
Registered User
AMIGASYSTEM's Avatar
 
Join Date: Aug 2014
Location: Brindisi (Italy)
Posts: 3,399
Thanks for the info Kolla
AMIGASYSTEM is offline  
Old 04 September 2018, 04:32   #20
Dynamic_Computi
Registered User

 
Join Date: Jul 2018
Location: Tucson, AZ, USA
Posts: 56
It is quite ironic that you can't browse their website with their own web browsing software. You would have figured one person might have tested it.
But this is the same company that could not figure out how to take our money and generate new key files for their software over the last twelve years...
Dynamic_Computi is offline  
 


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools

Similar Threads
Thread Thread Starter Forum Replies Last Post
WHDLoad error: error during 'resload_LoadKick' on monkey island & others jamespstevenson project.MAGE 14 20 February 2014 05:33
ERROR: Metal Masters (Illegal Instruction / Address Error / Black Screen) killergorilla project.Killergorilla's WHD packs 7 25 March 2012 15:32
ERROR: Leisure Suit Larry Enhanced (Address Error) batwinky project.Killergorilla's WHD packs 23 30 January 2011 13:00
(ERROR) Shadow Warriors - DOS Error #219 Retro-Nerd project.Killergorilla's WHD packs 5 04 January 2009 16:26
"Report Error" link? girv HOL suggestions and feedback 1 10 February 2005 21:10

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT +2. The time now is 16:52.


Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2018, vBulletin Solutions Inc.
Page generated in 0.08664 seconds with 14 queries